--- v362/drivers/char/tty_io.c	2002-10-16 18:46:06.000000000 -0400
+++ hijack/drivers/char/tty_io.c	2004-02-09 10:29:44.000000000 -0500
@@ -322,8 +322,10 @@
 	if (current->tty != tty)
 		return 0;
 	if (tty->pgrp <= 0) {
-		printk("tty_check_change: tty->pgrp <= 0!\n");
-		return 0;
+		if (MAJOR(tty->device) != 4 || MINOR(tty->device) != 65) {	// allow bg tasks to access ttyS1
+			printk("tty_check_change: tty->pgrp <= 0!\n");
+			return 0;
+		}
 	}
 	if (current->pgrp == tty->pgrp)
 		return 0;
